lv.pasts.eme.edoc

## Interface EDOCSignatureCallback

-     public interface EDOCSignatureCallback

  `EDOCSignatureCallback` class is a callback used to interact with the user while creating a signinature.

  An application implements a `EDOCSignatureCallback` and passes it to the `EDOC.addSignature(lv.pasts.eme.security.KeyAccessor, EDOCSignatureCallback)` method so that it may interact with the application to retrieve specific data, or to display certain information.

  Since:
    1.3.3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `confirmSignature(SignatureType signatureType, X509Certificate documentSigningCertificate, X509Certificate clientAuthenticationCertificate)` Request to confirm the selected signature type and certificates that will be used to create the signature.
    `SignatureType` | `selectSignatureType(SignatureTypeList signatureTypeList)` Request to select signature type from the given signature type list.
    `void` | `signatureProgress()` Method is invoked to notify about progress while creating a signature.

- - ### Method Detail

    - #### selectSignatureType

          SignatureType selectSignatureType(SignatureTypeList signatureTypeList)

      Request to select signature type from the given signature type list.

      An application must return one of the available `SignatureType` objects.

      The signature level must be specified using the `SignatureType.setSignatureLevel(int)` method.

      The available signature properties can be accessed using the `SignatureType.getProperties()` method. The mandatory signature properties must be provided using the `EDOCProperties.put(String, String)` method.

      Parameters:
        `signatureTypeList` - `SignatureTypeList` containing available signature types.
      Returns:
        the selected signature type, or `null` if action is cancelled.

    - #### confirmSignature

          boolean confirmSignature(SignatureType signatureType,
                                   X509Certificate documentSigningCertificate,
                                   X509Certificate clientAuthenticationCertificate)

      Request to confirm the selected signature type and certificates that will be used to create the signature.
      Parameters:
        `signatureType` - the selected signature type.
        `documentSigningCertificate` - the selected signing certificate.
        `clientAuthenticationCertificate` - the selected authentication certificate, or `null` if client authentication for the current signature is not required.
      Returns:
        true if signature is good, false if action is cancelled.

    - #### signatureProgress

          void signatureProgress()

      Method is invoked to notify about progress while creating a signature. Progress notifications are performed occasionally until the signature is created.

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO